Bug 1404426 - [abrt] cinnamon-screensaver: cinnamon-screensaver-main.py:13:<module>:ImportError: No module named 'setproctitle'
Summary: [abrt] cinnamon-screensaver: cinnamon-screensaver-main.py:13:<module>:ImportE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:60940adb69e5a64e5e8dbc12172...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-13 20:17 UTC by mithrial
Modified: 2016-12-22 18:17 UTC (History)
2 users (show)

Fixed In Version: cinnamon-screensaver-3.2.9-1.fc25 cinnamon-screensaver-3.2.9-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-22 05:23:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2016-12-13 20:17 UTC, mithrial
no flags Details
File: environ (1.58 KB, text/plain)
2016-12-13 20:17 UTC, mithrial
no flags Details

Description mithrial 2016-12-13 20:17:05 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.2.7-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.8.13-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cinnamon-screensaver-main.py:13:<module>:ImportError: No module named 'setproctitle'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py", line 13, in <module>
    import setproctitle
ImportError: No module named 'setproctitle'

Local variables in innermost frame:
__builtins__: <module 'builtins' (built-in)>
__name__: '__main__'
signal: <module 'signal' from '/usr/lib64/python3.5/signal.py'>
CScreensaver: <IntrospectionModule 'CScreensaver' from '/usr/lib64/girepository-1.0/CScreensaver-1.0.typelib'>
__doc__: None
gi: <module 'gi' from '/usr/lib64/python3.5/site-packages/gi/__init__.py'>
__cached__: None
Gtk: <GtkProxyModule <IntrospectionModule 'Gtk' from '/usr/lib64/girepository-1.0/Gtk-3.0.typelib'>>
Gdk: <GdkProxyModule <IntrospectionModule 'Gdk' from '/usr/lib64/girepository-1.0/Gdk-3.0.typelib'>>
argparse: <module 'argparse' from '/usr/lib64/python3.5/argparse.py'>
__package__: None
__loader__: <_frozen_importlib_external.SourceFileLoader object at 0x7f44a63ac0f0>
__spec__: None
gettext: <module 'gettext' from '/usr/lib64/python3.5/gettext.py'>
os: <module 'os' from '/usr/lib64/python3.5/os.py'>
__file__: '/usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py'

Comment 1 mithrial 2016-12-13 20:17:11 UTC
Created attachment 1231324 [details]
File: backtrace

Comment 2 mithrial 2016-12-13 20:17:12 UTC
Created attachment 1231325 [details]
File: environ

Comment 3 Fedora Update System 2016-12-13 21:30:07 UTC
cinnamon-3.2.5-1.fc24 cinnamon-control-center-3.2.1-1.fc24 cinnamon-desktop-3.2.2-1.fc24 cinnamon-screensaver-3.2.9-1.fc24 cinnamon-settings-daemon-3.2.1-1.fc24 cinnamon-translations-3.2.2-1.fc24 nemo-3.2.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17c4e9a42c

Comment 4 Fedora Update System 2016-12-13 21:31:16 UTC
cinnamon-3.2.5-1.fc25 cinnamon-control-center-3.2.1-1.fc25 cinnamon-desktop-3.2.2-1.fc25 cinnamon-screensaver-3.2.9-1.fc25 cinnamon-settings-daemon-3.2.1-1.fc25 cinnamon-translations-3.2.2-1.fc25 nemo-3.2.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c71cb2887

Comment 5 Fedora Update System 2016-12-14 08:03:30 UTC
cinnamon-3.2.6-1.fc25 cinnamon-control-center-3.2.1-1.fc25 cinnamon-desktop-3.2.4-1.fc25 cinnamon-screensaver-3.2.9-1.fc25 cinnamon-settings-daemon-3.2.1-1.fc25 cinnamon-translations-3.2.2-1.fc25 nemo-3.2.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c71cb2887

Comment 6 Fedora Update System 2016-12-14 08:08:02 UTC
cinnamon-3.2.6-1.fc24 cinnamon-control-center-3.2.1-1.fc24 cinnamon-desktop-3.2.4-1.fc24 cinnamon-screensaver-3.2.9-1.fc24 cinnamon-settings-daemon-3.2.1-1.fc24 cinnamon-translations-3.2.2-1.fc24 nemo-3.2.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17c4e9a42c

Comment 7 Fedora Update System 2016-12-15 05:02:49 UTC
cinnamon-3.2.6-1.fc24, cinnamon-control-center-3.2.1-1.fc24, cinnamon-desktop-3.2.4-1.fc24, cinnamon-screensaver-3.2.9-1.fc24, cinnamon-settings-daemon-3.2.1-1.fc24, cinnamon-translations-3.2.2-1.fc24, nemo-3.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17c4e9a42c

Comment 8 Fedora Update System 2016-12-15 05:05:15 UTC
cinnamon-3.2.6-1.fc25, cinnamon-control-center-3.2.1-1.fc25, cinnamon-desktop-3.2.4-1.fc25, cinnamon-screensaver-3.2.9-1.fc25, cinnamon-settings-daemon-3.2.1-1.fc25, cinnamon-translations-3.2.2-1.fc25, nemo-3.2.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c71cb2887

Comment 9 Fedora Update System 2016-12-22 05:23:20 UTC
cinnamon-3.2.6-1.fc25, cinnamon-control-center-3.2.1-1.fc25, cinnamon-desktop-3.2.4-1.fc25, cinnamon-screensaver-3.2.9-1.fc25, cinnamon-settings-daemon-3.2.1-1.fc25, cinnamon-translations-3.2.2-1.fc25, nemo-3.2.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-22 18:17:57 UTC
cinnamon-3.2.6-1.fc24, cinnamon-control-center-3.2.1-1.fc24, cinnamon-desktop-3.2.4-1.fc24, cinnamon-screensaver-3.2.9-1.fc24, cinnamon-settings-daemon-3.2.1-1.fc24, cinnamon-translations-3.2.2-1.fc24, nemo-3.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.